{ pkgs ? (import <nixpkgs> { 
    # config.allowUnfree = true;
}), ... }:
  pkgs.mkShell {
    # nativeBuildInputs is usually what you want -- tools you need to run
    # allowUnfree = true;
    # nixpkgs.config.allowUnfree = true;
    # nixpkgs.config.allowUnfreePredicate = _: true;
    nativeBuildInputs = with pkgs.buildPackages; [ hugo ];
    

    shellHook =
      ''
      	#TODO add check that current workspace have browser window - otherwise open new instance
        xdg-open "http://localhost:1313/" &
        xdg-open "https://blog.ca.sual.in/" &
        xdg-open "https://www.deepl.com/en/translator#ru/en-us/" &
        
        hugo server -DEF
      '';
}
