+++
title = 'HowTo Data Hoard'
date = 2024-08-31
image = "https://preview.redd.it/this-meme-speaks-to-me-v0-j9dc4klgmw0a1.png?width=640&crop=smart&auto=webp&s=91e23f46de5cbc09861302fcc5b4d00e8192c193"
+++




## Who is data hoarder?



Data hoarder archive large amounts of digital data (terrabytes) that might otherwise be lost, such as old video games, videos and websites.<!--more-->

![](https://preview.redd.it/this-meme-speaks-to-me-v0-j9dc4klgmw0a1.png?width=640&crop=smart&auto=webp&s=91e23f46de5cbc09861302fcc5b4d00e8192c193)

### Why does they do it?

{{< spoiler "Spoiler" >}}
Usually you start becoming data hoarder when something that you expected to be online and what you can freely access (e.g. bought video games/series on PSStore/Netflix) becomes inaccessable due to various reasons:
 - Owner deletes data -	outdated information, [personal choice](https://www.reddit.com/r/techsupport/comments/u8vyl3/google_wont_remove_outdated_content_from_its/), hosting platform policy change
 - Platform policies - if content/account violates guidelines [it gets removed](https://www.reddit.com/r/OneFinanceBank/comments/1d8cixt/did_they_just_take_down_the_other_one_subreddit/) (e.g. for hate speech, misinformation, or copyright infringement...)
 - Legal reason - content may be removed due to legal issues, such as [DMCA takedown](https://www.dmca.com/FAQ/What-is-a-DMCA-Takedown), [court orders](https://www.newsbytesapp.com/news/entertainment/bombay-high-court-protects-arijit-singhs-personality-rights/story), [political stuff](https://www.reuters.com/business/media-telecom/youtube-blocks-russian-state-funded-media-channels-globally-2022-03-11/)
 - Technical issues - drive on server may die and sysadmin forgot to try make disaster recovery beforehand, [cloud sync errors](https://spanning.com/blog/4-real-life-examples-of-saas-data-loss/)
 - Archiving - platform may decide that this content no longer relevant/needed - so they move it to more harder to access place 

{{< /spoiler >}}

## HowTo Data Hoard

1. [Buy a lot of drives](/tech/howto_buy_hdd), raw 10TB would be a good start
	- put drives in your PC (not bad idea)
	- build/buy NAS
	- build Ceph cluster if you bald enough 
3. Use [3-2-1 backup](/tech/howto_backup) strategy for important data
4. Download everything that you've ever needed in life and never delete
	- [HowTo download site?](/tech/howto_download_site)
	- [HowTo download youtube videos?](/tech/howto_download_youtube_video)
	- be a good boy and don't violate any local copyright law


{{< source >}}
https://en.wikipedia.org/wiki/Digital_hoarding
https://www.pewresearch.org/data-labs/2024/05/17/when-online-content-disappears/
https://www.reddit.com/r/DataHoarder/
https://www.reddit.com/r/DataHoarder/comments/yzb5m0/this_meme_speaks_to_me/
{{< /source >}}
